Skip to main content
GET
/
v1
/
tools
Get available bridges and exchanges
curl --request GET \
  --url https://li.quest/v1/tools
import requests

url = "https://li.quest/v1/tools"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://li.quest/v1/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "exchanges": [
    {
      "key": "<string>",
      "name": "0x",
      "logoURI": "https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/exchanges/zerox.svg",
      "supportedChains": [
        "1",
        "137",
        "56"
      ]
    }
  ],
  "bridges": [
    {
      "key": "<string>",
      "name": "Connext",
      "logoURI": "https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/bridges/relay.svg",
      "supportedChains": [
        {
          "fromChainId": 137,
          "toChainId": 1
        }
      ]
    }
  ]
}

Headers

x-lifi-api-key
string

Authentication header, register in the LI.FI Partner Portal (https://portal.li.fi/ ) to get your API Key.

Query Parameters

chains
(string | integer)[]

The ids of the chains that should be taken into consideration.

Example:
["pol", "eth"]

Response

200 - application/json

Object listing all the currently enabled bridges and exchanges.

exchanges
object[]
bridges
object[]